Missing libkml required by gdal-3.3.0-r5

  alpine, build, dependencies, docker, gdal

I have a Python project with Docker that uses gdal package. For pretty long time everything were ok, but now I get an error while building an image:

enter image description here

My Dockerfile:

FROM python:3.6.8-alpine3.10
ENV PYTHONUNBUFFERED 1
RUN mkdir /app
WORKDIR /app
ADD requirements.txt /app/
RUN apk update && 
    apk add 
  --repository http://dl-cdn.alpinelinux.org/alpine/edge/community 
  --repository http://dl-cdn.alpinelinux.org/alpine/edge/main 
  geos gdal gdal-dev geos-dev proj-dev && 
  apk add gcc linux-headers musl musl-dev postgresql-dev gdal gdal-dev 
  geos-dev proj-dev zlib-dev jpeg-dev 
  libpng libpng-dev uriparser-dev
RUN pip install -r requirements.txt
ADD . /app/

Do anyone know a solution to the problem?

Source: Docker Questions

LEAVE A COMMENT